Set one operation's per-app fee (stacks on the global fee)
curl --request PUT \
--url https://api.pid.peridotvault.com/v1/apps/{id}/fees/{operation} \
--header 'Content-Type: application/json' \
--cookie pid_access= \
--data '
{
"percentBps": 123,
"minIdr": "<string>",
"maxIdr": "<string>",
"enabled": true
}
'const options = {
method: 'PUT',
headers: {cookie: 'pid_access=', 'Content-Type': 'application/json'},
body: JSON.stringify({percentBps: 123, minIdr: '<string>', maxIdr: '<string>', enabled: true})
};
fetch('https://api.pid.peridotvault.com/v1/apps/{id}/fees/{operation}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pid.peridotvault.com/v1/apps/{id}/fees/{operation}"
payload = {
"percentBps": 123,
"minIdr": "<string>",
"maxIdr": "<string>",
"enabled": True
}
headers = {
"cookie": "pid_access=",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.pid.peridotvault.com/v1/apps/{id}/fees/{operation}"
payload := strings.NewReader("{\n \"percentBps\": 123,\n \"minIdr\": \"<string>\",\n \"maxIdr\": \"<string>\",\n \"enabled\": true\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("cookie", "pid_access=")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{}{
"statusCode": 400,
"message": [
"handle must be 3-20 chars: lowercase letters, numbers, underscore"
]
}{
"statusCode": 401,
"message": "Unauthorized"
}{
"statusCode": 404,
"message": "No Identity found"
}apps
Set one operation's per-app fee (stacks on the global fee)
PUT
/
apps
/
{id}
/
fees
/
{operation}
Set one operation's per-app fee (stacks on the global fee)
curl --request PUT \
--url https://api.pid.peridotvault.com/v1/apps/{id}/fees/{operation} \
--header 'Content-Type: application/json' \
--cookie pid_access= \
--data '
{
"percentBps": 123,
"minIdr": "<string>",
"maxIdr": "<string>",
"enabled": true
}
'const options = {
method: 'PUT',
headers: {cookie: 'pid_access=', 'Content-Type': 'application/json'},
body: JSON.stringify({percentBps: 123, minIdr: '<string>', maxIdr: '<string>', enabled: true})
};
fetch('https://api.pid.peridotvault.com/v1/apps/{id}/fees/{operation}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pid.peridotvault.com/v1/apps/{id}/fees/{operation}"
payload = {
"percentBps": 123,
"minIdr": "<string>",
"maxIdr": "<string>",
"enabled": True
}
headers = {
"cookie": "pid_access=",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.pid.peridotvault.com/v1/apps/{id}/fees/{operation}"
payload := strings.NewReader("{\n \"percentBps\": 123,\n \"minIdr\": \"<string>\",\n \"maxIdr\": \"<string>\",\n \"enabled\": true\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("cookie", "pid_access=")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{}{
"statusCode": 400,
"message": [
"handle must be 3-20 chars: lowercase letters, numbers, underscore"
]
}{
"statusCode": 401,
"message": "Unauthorized"
}{
"statusCode": 404,
"message": "No Identity found"
}Authorizations
JWT access token set by /auth/google/callback or /auth/refresh
Path Parameters
Available options:
topup, transaction, withdraw Body
application/json
Response
Saved fee
The response is of type object.